|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QWindowsXPStyle Class Reference

The QWindowsXPStyle class provides a Microsoft WindowsXP-like look and feel. More...

    #include <QWindowsXPStyle>

Part of the QtGui module.

Inherits QWindowsStyle.

- List of all members, including inherited members

### Public Functions

- QWindowsXPStyle ()
- ~QWindowsXPStyle ()

- 21 public functions inherited from QStyle
- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QWindowsXPStyle class provides a Microsoft WindowsXP-like look and feel.

Warning: This style is only available on the Windows XP platform because it makes use of Windows XP's style engine.

Most of the functions are documented in the base classes QWindowsStyle, QCommonStyle, and QStyle, but the QWindowsXPStyle overloads of drawComplexControl(), drawControl(), drawControlMask(), drawPrimitive(), subControlRect(), and sizeFromContents(), are documented here.

See also QMacStyle, QWindowsStyle, QPlastiqueStyle, QCDEStyle, and QMotifStyle.

## Member Function Documentation

### QWindowsXPStyle::QWindowsXPStyle ()

Constructs a QWindowsStyle

### QWindowsXPStyle::~QWindowsXPStyle ()

Destroys the style.